System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeStatement System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent code that declares a variable.

The property specifies the type of the variable to declare. The property specifies the name of the variable to declare. The property is optional, and specifies an initialization expression to assign to the variable after it is created.

Some languages can implement the optional variable initialization expression by making a separate assignment statement after the variable declaration.

Represents a variable declaration.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified type and name.

  A that indicates the data type of the variable.
  The name of the variable.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified data type name and variable name.

  The name of the data type of the variable.
  The name of the variable.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified data type and variable name.

  The data type for the variable.
  The name of the variable.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified data type, variable name, and initialization expression.

  A that indicates the type of the variable.
  The name of the variable.
  A that indicates the initialization expression for the variable.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified data type, variable name, and initialization expression.

  The name of the data type of the variable.
  The name of the variable.
  A that indicates the initialization expression for the variable.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified data type, variable name, and initialization expression.

  The data type of the variable.
  The name of the variable.
  A that indicates the initialization expression for the variable.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpression To be added: an object of type 'CodeExpression' To be added

  Gets or sets the initialization expression for the variable.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the variable.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeReference To be added: an object of type 'CodeTypeReference' To be added

  Gets or sets the data type of the variable.